Results 1 to 10 of 10

Thread: tomboy 1.15.1

  1. #1
    Join Date
    May 2006
    Beans
    124

    tomboy 1.15.1

    Hi,
    I'm wondering if anyone has successfully installed the latest development version of tomboy (1.15.1) on Jaunty.

    http://projects.gnome.org/tomboy/download.html

    I tried to build it from the tarball on the website, but got two too many errors with dependencies (i think: initools(?) and gmcs (?)) to continue and gave up.

    Can't find any information on how to make this work or whether it does...the new version has a "preview" of their new web-based sync tool ("Snowy") that looks amazing.

    Anybody know anything about this?

    Thanks!

    (oops: should be "tomboy 0.15.1")
    Last edited by Knacker; June 18th, 2009 at 03:22 AM.

  2. #2
    Join Date
    Oct 2007
    Location
    Cincinnati, Ohio
    Beans
    Hidden!
    Distro
    Kubuntu 12.04 Precise Pangolin

    Re: tomboy 1.15.1

    I don't know about the development version but after some digging I found the latest version in .deb here: https://launchpad.net/~futurepilot/+archive/ppa

    I'm posting it in case it helps somebody else.

    Good Luck with getting the dev version going.

    OS: Kubuntu 12.04 LTS|| CPU: AMD Athlon 64x2 || RAM: 3GB DDR2(PC-6400) || Display: NVIDIA GeForce 9400 GT 1024mb

  3. #3
    Join Date
    Jul 2005
    Location
    DC / Richmond VA area
    Beans
    383
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: tomboy 1.15.1

    Did you see these instructions for building Tomboy from source?
    http://live.gnome.org/Tomboy/Developers
    Last edited by chrisod; June 18th, 2009 at 12:45 AM.

  4. #4
    Join Date
    Jul 2005
    Location
    DC / Richmond VA area
    Beans
    383
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: tomboy 1.15.1

    Yeah - I'm looking forward to that too! In the meantime, if you just want to back up your Tomboy notes online you can use grsync and a free Backpack account. It's not the prettiest solution, but it works as a backup and read-only web access to your notes.

  5. #5
    Join Date
    Mar 2008
    Location
    Los Angeles, CA
    Beans
    129

    Re: tomboy 1.15.1

    Is the new version of tomboy supposed to be faster? On my system, tomboy was so slow I decided to just use gedit for making notes.

    I have a Toshiba Laptop U305-S7448. It has a 1.47Ghz Intel DUO core, 2GB of ram, onboard Intel GM965/GL960 graphics, and a 120GB HD.
    fictionalphilosophy.org
    Toshiba Laptop U305-S7448. 1.47Ghz Intel DUO core, 2GB of ram.

  6. #6
    Join Date
    May 2006
    Beans
    124

    Re: tomboy 1.15.1

    thanks for all the replies to this!

    i did look at the instructions for building the development version from source...but i ran into so many errors and missing packages when i tried to even begin (./configure) that I stopped in fear of screwing something up. i guess i was wondering if anyone (with more know-how) had done this successfully and can say it works okay...?

    will look into a grsync and backpack account...but really want a native/simple/built-in solution...especially seeing as it's on its way anyhow.

    a .deb for 0.15.1 would be amazing. anyone?

    thanks again!

  7. #7
    Join Date
    Dec 2007
    Location
    Ontario, Canada
    Beans
    62
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: tomboy 1.15.1

    I'm also trying to get a new version of Tomboy. My current version is fine...but I'm bored and I want to get the install to work

    I first grabbed the tar file here:
    http://download.gnome.org/sources/to...-0.14.2.tar.gz, obviously in the OP's case version 0.15.1 can be downloaded instead.

    I got past all the dependency issues by doing this:
    Code:
    sudo apt-get build-dep tomboy
    I then did a
    Code:
    ./configure
    which worked no problem. I then tried to do a
    Code:
    make
    but it failed with this info:
    Code:
    mark@mark-work:~/src/tomboy/tomboy-0.14.2$ make
    make  all-recursive
    make[1]: Entering directory `/home/mark/src/tomboy/tomboy-0.14.2'
    Making all in data
    make[2]: Entering directory `/home/mark/src/tomboy/tomboy-0.14.2/data'
    Making all in icons
    make[3]: Entering directory `/home/mark/src/tomboy/tomboy-0.14.2/data/icons'
    make[3]: Nothing to be done for `all'.
    make[3]: Leaving directory `/home/mark/src/tomboy/tomboy-0.14.2/data/icons'
    make[3]: Entering directory `/home/mark/src/tomboy/tomboy-0.14.2/data'
    make[3]: Nothing to be done for `all-am'.
    make[3]: Leaving directory `/home/mark/src/tomboy/tomboy-0.14.2/data'
    make[2]: Leaving directory `/home/mark/src/tomboy/tomboy-0.14.2/data'
    Making all in libtomboy
    make[2]: Entering directory `/home/mark/src/tomboy/tomboy-0.14.2/libtomboy'
    make[2]: Nothing to be done for `all'.
    make[2]: Leaving directory `/home/mark/src/tomboy/tomboy-0.14.2/libtomboy'
    Making all in Tomboy
    make[2]: Entering directory `/home/mark/src/tomboy/tomboy-0.14.2/Tomboy'
    Making all in .
    make[3]: Entering directory `/home/mark/src/tomboy/tomboy-0.14.2/Tomboy'
    make[3]: *** No rule to make target `panelapplet/*.cs', needed by `Tomboy.exe'.  Stop.
    make[3]: Leaving directory `/home/mark/src/tomboy/tomboy-0.14.2/Tomboy'
    make[2]: *** [all-recursive] Error 1
    make[2]: Leaving directory `/home/mark/src/tomboy/tomboy-0.14.2/Tomboy'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/home/mark/src/tomboy/tomboy-0.14.2'
    make: *** [all] Error 2
    It seems like make might be trying to build the Windows version since it's crashing when trying to build 'Tomboy.exe'.

    I tried the TomBoy Wiki, but it did not help at all.
    Anyone know what's going on?

    Mark
    Last edited by Mark20; June 18th, 2009 at 10:17 PM.

  8. #8
    Join Date
    Dec 2007
    Location
    Ontario, Canada
    Beans
    62
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: tomboy 1.15.1

    Hi all,

    The build issue was a PR which has now been fixed, if you git clone the latest code you will not see this issue.

    Code:
    git clone git://git.gnome.org/tomboy
    Hope that helps,
    Mark

  9. #9
    Join Date
    May 2006
    Beans
    124

    Re: tomboy 1.15.1

    hrm...when i type:

    sudo apt-get build-dep tomboy

    i get:

    E: You must put some 'source' URIs in your sources.list

    am i missing a repository? which one(s)? really want to get this to work. could someone please help me understand what i'm doing wrong? would be grateful for any help.

    thanks again!

  10. #10
    Join Date
    Dec 2007
    Location
    Ontario, Canada
    Beans
    62
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: tomboy 1.15.1

    Hi Knacker,

    I've built Tomboy 0.15.3 on my Intel x86-64 machine running Jaunty, and I've uploaded the Tomboy binaries here.

    You should be able to solve your repository issues by adding the following to your /etc/apt/sources.list file:
    Code:
    deb http://archive.ubuntu.com/ubuntu/ jaunty main restricted universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu/ jaunty main restricted universe multiverse
    deb http://archive.ubuntu.com/ubuntu/ jaunty-updates main restricted universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu/ jaunty-updates main restricted universe multiverse
    deb http://security.ubuntu.com/ubuntu jaunty-security main restricted universe multiverse
    deb-src http://security.ubuntu.com/ubuntu jaunty-security main restricted universe multiverse
    I was able to get the dependencies with an unmodified sources.list file so it shouldn't be too difficult to get the repositories sorted out...

    Mark

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •